# Arched Emailer

### A simple emailer for sending emails / error logs to a list of recipients.

## Change Log

- v0.1.4 (05/02/2024)
    - Changed requirements to match the latest version of `smtpymailer` which now uses data attributes to convert images
      to CID or base64, rather than the old method of using a method parameter which was rather clunky.
    - Added customer ID which will enable me to log requests server side per customer, and giving each customer their
      own unique API key
    - Changed the `send_email` method, so we can send emails not only from `Arched` but also from the customer's email
      address if needed. This will be useful for sending emails from the customer's email address, but using `Arched`'s
      SMTP server. 

- v0.1.5 (06/02/2024)
  - Make `_get_email_path` one function instead of two. 
  - Added a `_make_request` function that can be used for all db calls.
  - Changed the requirements for the class init. Most of the needed data is stored on the server now, with a fallback
    mechanism to fetch from file if the server is down.
  - Added a method to send errors/success logs to the backend. This will be useful for keeping track of errors. 
  - Created a decorator which can wrap functions around a try/except block, and send the error or success email and log
    to the backend.

- v0.1.6 (07/02/2024)
  - Changed the lookup api_key and customer_id method
  
- v0.1.7 (07/02/2024)
  - Quick fix to re-add the error text to the `send_error_email` function. I've realised that it would be useful to have
    in some cases.
  
- v0.1.8 (07/02/2024)
  - Made it flask proof with an `init_app` method

- v0.2.0 (07/02/2024)
  - Major update to all, fully working with arched.dev backend. Updating correctly. 

- v0.2.1 (07/02/2024)
  - Minjor bug fixes

- v0.2.2 (08/02/2024)
  - Changes to the flask `init_app` and how it intercepts exceptions.
  - Changes to the UUID that was being generated before, was too long. 

- v0.2.3 (09/02/2024)
  - Added a clause that removes `request` from the globals() and locals() calls as it was causing a flask context 
    error.
  - 
- v0.2.4 (09/02/2024)
  - Had need to report success to the backend without emailing so added `update_db_only` to the `send_success_email` 
    method.

- v0.2.5 (09/02/2024)
  - Minor bug fix for the class setup. Wasn't correctly reading the mail_connection details from the local dir
    when the server was down.

- v0.2.6 (09/02/2024)
  - Oops, another, minor bug fix. Wasn't correctly reading the mail_connection details from the local dir
    when the server was down.

- v0.2.7 (09/02/2024)
  - Changed how it reports the HTML content to the backend, it was sending blank strings. Now it correctly gets the html from the `text/html` multipart of the email object.

- v0.2.8 (09/02/2024)
  - Missed the success send email function

- v0.2.9,0.2.10,0.2.11 (10/02/2024)
  - Minor bug fixes
